> For the complete documentation index, see [llms.txt](https://docs.solflare.com/solflare/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.solflare.com/solflare/technical/our-nft-standard/additional-attributes-specification.md).

# Additional Attributes Specification

In addition to current fields available for specifying attributes, Solflare will integrate additional fields for describing attributes.

#### Some of them are:

* `display_type: "Date"` - will display the `value` as a date, use a unix timestamp to specify it
* `max_value: Number` - if the `value` is also a number, it will be displayed as a bar chart with a maximum value
* `trait_count: Number` - if the asset is part of a collection, this number represents the total count of other assets with the same trait type and value

The only mandatory fields to describe an attribute are: `trait_type` and `trait_value`.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.solflare.com/solflare/technical/our-nft-standard/additional-attributes-specification.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
